from pathlib import Path

storage_path = Path('./res/certificates.json')

traceback_path = Path('./traceback.txt')
fileop_err_path = './{datetime}_fileop_err.log'

crypt_sign_ext = 'sgn' # расширение ЭЦП, создаваемых cryptcp

dtfmt = '%d.%m.%Y %H:%M:%S'

settings_path = Path('./res/settings.json')

status_tips = {'NOT_SIGNED': 'Не подписан',
               'SIGNED': 'Подписан',
               'JSON_MISSING': 'Отсутствуют метаданные'}

min_signing_delay = 1  # минимальная разница двух подписей во времени, с

# Настройки по умолчанию
default_crypt_path = ''
default_crypt_args_sign = '-signf -cert -der -strict -thumbprint {sha1} "{f}"'
default_crypt_args_verify = '-vsignf -thumbprint {sha1} "{f}"'
default_console_encoding = 'cp866'
default_sign_ext = 'sig'
default_file_ext = ('pdf', 'doc', 'xls', 'odt', 'docx', 'xlsx', 'jpeg', 'jpg',
                    'tiff', 'tif', 'png')
default_timeout = 5
